"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var index_exports = {};
__export(index_exports, {
  BaseBasicElementsPlugin: () => BaseBasicElementsPlugin,
  BaseBlockquotePlugin: () => BaseBlockquotePlugin,
  BaseH1Plugin: () => BaseH1Plugin,
  BaseH2Plugin: () => BaseH2Plugin,
  BaseH3Plugin: () => BaseH3Plugin,
  BaseH4Plugin: () => BaseH4Plugin,
  BaseH5Plugin: () => BaseH5Plugin,
  BaseH6Plugin: () => BaseH6Plugin,
  BaseHeadingPlugin: () => BaseHeadingPlugin,
  BaseHorizontalRulePlugin: () => BaseHorizontalRulePlugin
});
module.exports = __toCommonJS(index_exports);

// src/lib/BaseBasicElementsPlugin.ts
var import_plate4 = require("@udecode/plate");

// src/lib/BaseBlockquotePlugin.ts
var import_plate = require("@udecode/plate");
var BaseBlockquotePlugin = (0, import_plate.createSlatePlugin)({
  key: import_plate.KEYS.blockquote,
  node: { isElement: true },
  parsers: {
    html: {
      deserializer: {
        rules: [
          {
            validNodeName: "BLOCKQUOTE"
          }
        ]
      }
    }
  },
  render: { as: "blockquote" }
});

// src/lib/BaseHeadingPlugin.ts
var import_plate2 = require("@udecode/plate");
var BaseH1Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h1",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H1" }] } } },
  render: { as: "h1" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH2Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h2",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H2" }] } } },
  render: { as: "h2" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH3Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h3",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H3" }] } } },
  render: { as: "h3" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH4Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h4",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H4" }] } } },
  render: { as: "h4" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH5Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h5",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H5" }] } } },
  render: { as: "h5" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH6Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h6",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H6" }] } } },
  render: { as: "h6" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseHeadingPlugin = (0, import_plate2.createTSlatePlugin)({
  key: "heading",
  options: {
    levels: [1, 2, 3, 4, 5, 6]
  }
}).extend(({ plugin }) => {
  const {
    options: { levels }
  } = plugin;
  const headingPlugins = {
    1: BaseH1Plugin,
    2: BaseH2Plugin,
    3: BaseH3Plugin,
    4: BaseH4Plugin,
    5: BaseH5Plugin,
    6: BaseH6Plugin
  };
  const headingLevels = Array.isArray(levels) ? levels : Array.from({ length: levels || 6 }, (_, i) => i + 1);
  const plugins = headingLevels.map(
    (level) => headingPlugins[level]
  );
  return { plugins };
});

// src/lib/BaseHorizontalRulePlugin.ts
var import_plate3 = require("@udecode/plate");
var BaseHorizontalRulePlugin = (0, import_plate3.createSlatePlugin)({
  key: import_plate3.KEYS.hr,
  node: { isElement: true, isVoid: true },
  parsers: {
    html: {
      deserializer: {
        rules: [
          {
            validNodeName: "HR"
          }
        ]
      }
    }
  },
  render: { as: "hr" }
});

// src/lib/BaseBasicElementsPlugin.ts
var BaseBasicElementsPlugin = (0, import_plate4.createSlatePlugin)({
  plugins: [BaseBlockquotePlugin, BaseHeadingPlugin, BaseHorizontalRulePlugin]
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  BaseBasicElementsPlugin,
  BaseBlockquotePlugin,
  BaseH1Plugin,
  BaseH2Plugin,
  BaseH3Plugin,
  BaseH4Plugin,
  BaseH5Plugin,
  BaseH6Plugin,
  BaseHeadingPlugin,
  BaseHorizontalRulePlugin
});
//# sourceMappingURL=index.js.map