import * as _udecode_plate_core_react from '@udecode/plate-core/react';
import * as _udecode_plate_core from '@udecode/plate-core';
import { a as HeadingLevel } from '../BaseHeadingPlugin-CAUutbD4.mjs';
import '@udecode/plate';

/**
 * Enables support for basic elements:
 *
 * - Block quote
 * - Code block
 * - Heading
 * - Paragraph
 */
declare const BasicElementsPlugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, {}, {}>>;

declare const BlockquotePlugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<"blockquote", {}, {}, {}, {}>>;

declare const HeadingPlugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<"heading", {
    levels?: HeadingLevel | HeadingLevel[];
}, {}, {}, {}>>;
declare const H1Plugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, Record<any, {
    toggle: () => void;
}>, {}>>;
declare const H2Plugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, Record<any, {
    toggle: () => void;
}>, {}>>;
declare const H3Plugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, Record<any, {
    toggle: () => void;
}>, {}>>;
declare const H4Plugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, Record<any, {
    toggle: () => void;
}>, {}>>;
declare const H5Plugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, Record<any, {
    toggle: () => void;
}>, {}>>;
declare const H6Plugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<any, {}, {}, Record<any, {
    toggle: () => void;
}>, {}>>;

declare const HorizontalRulePlugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<"hr", {}, {}, {}, {}>>;

export { BasicElementsPlugin, BlockquotePlugin, H1Plugin, H2Plugin, H3Plugin, H4Plugin, H5Plugin, H6Plugin, HeadingPlugin, HorizontalRulePlugin };
