"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/react/index.ts
var react_exports = {};
__export(react_exports, {
  BasicElementsPlugin: () => BasicElementsPlugin,
  BlockquotePlugin: () => BlockquotePlugin,
  H1Plugin: () => H1Plugin,
  H2Plugin: () => H2Plugin,
  H3Plugin: () => H3Plugin,
  H4Plugin: () => H4Plugin,
  H5Plugin: () => H5Plugin,
  H6Plugin: () => H6Plugin,
  HeadingPlugin: () => HeadingPlugin,
  HorizontalRulePlugin: () => HorizontalRulePlugin
});
module.exports = __toCommonJS(react_exports);

// src/react/BasicElementsPlugin.ts
var import_react4 = require("@udecode/plate/react");

// src/react/BlockquotePlugin.tsx
var import_react = require("@udecode/plate/react");

// src/lib/BaseBlockquotePlugin.ts
var import_plate = require("@udecode/plate");
var BaseBlockquotePlugin = (0, import_plate.createSlatePlugin)({
  key: import_plate.KEYS.blockquote,
  node: { isElement: true },
  parsers: {
    html: {
      deserializer: {
        rules: [
          {
            validNodeName: "BLOCKQUOTE"
          }
        ]
      }
    }
  },
  render: { as: "blockquote" }
});

// src/react/BlockquotePlugin.tsx
var BlockquotePlugin = (0, import_react.toPlatePlugin)(BaseBlockquotePlugin);

// src/react/HeadingPlugin.tsx
var import_react2 = require("@udecode/plate/react");

// src/lib/BaseHeadingPlugin.ts
var import_plate2 = require("@udecode/plate");
var BaseH1Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h1",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H1" }] } } },
  render: { as: "h1" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH2Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h2",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H2" }] } } },
  render: { as: "h2" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH3Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h3",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H3" }] } } },
  render: { as: "h3" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH4Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h4",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H4" }] } } },
  render: { as: "h4" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH5Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h5",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H5" }] } } },
  render: { as: "h5" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseH6Plugin = (0, import_plate2.createTSlatePlugin)({
  key: "h6",
  node: { isElement: true },
  parsers: { html: { deserializer: { rules: [{ validNodeName: "H6" }] } } },
  render: { as: "h6" }
}).extendTransforms(({ editor, type }) => ({
  toggle: () => {
    editor.tf.toggleBlock(type);
  }
}));
var BaseHeadingPlugin = (0, import_plate2.createTSlatePlugin)({
  key: "heading",
  options: {
    levels: [1, 2, 3, 4, 5, 6]
  }
}).extend(({ plugin }) => {
  const {
    options: { levels }
  } = plugin;
  const headingPlugins = {
    1: BaseH1Plugin,
    2: BaseH2Plugin,
    3: BaseH3Plugin,
    4: BaseH4Plugin,
    5: BaseH5Plugin,
    6: BaseH6Plugin
  };
  const headingLevels = Array.isArray(levels) ? levels : Array.from({ length: levels || 6 }, (_, i) => i + 1);
  const plugins = headingLevels.map(
    (level) => headingPlugins[level]
  );
  return { plugins };
});

// src/react/HeadingPlugin.tsx
var HeadingPlugin = (0, import_react2.toPlatePlugin)(BaseHeadingPlugin);
var H1Plugin = (0, import_react2.toPlatePlugin)(BaseH1Plugin);
var H2Plugin = (0, import_react2.toPlatePlugin)(BaseH2Plugin);
var H3Plugin = (0, import_react2.toPlatePlugin)(BaseH3Plugin);
var H4Plugin = (0, import_react2.toPlatePlugin)(BaseH4Plugin);
var H5Plugin = (0, import_react2.toPlatePlugin)(BaseH5Plugin);
var H6Plugin = (0, import_react2.toPlatePlugin)(BaseH6Plugin);

// src/react/HorizontalRulePlugin.tsx
var import_react3 = require("@udecode/plate/react");

// src/lib/BaseHorizontalRulePlugin.ts
var import_plate3 = require("@udecode/plate");
var BaseHorizontalRulePlugin = (0, import_plate3.createSlatePlugin)({
  key: import_plate3.KEYS.hr,
  node: { isElement: true, isVoid: true },
  parsers: {
    html: {
      deserializer: {
        rules: [
          {
            validNodeName: "HR"
          }
        ]
      }
    }
  },
  render: { as: "hr" }
});

// src/react/HorizontalRulePlugin.tsx
var HorizontalRulePlugin = (0, import_react3.toPlatePlugin)(BaseHorizontalRulePlugin);

// src/react/BasicElementsPlugin.ts
var BasicElementsPlugin = (0, import_react4.createPlatePlugin)({
  plugins: [BlockquotePlugin, HeadingPlugin, HorizontalRulePlugin]
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  BasicElementsPlugin,
  BlockquotePlugin,
  H1Plugin,
  H2Plugin,
  H3Plugin,
  H4Plugin,
  H5Plugin,
  H6Plugin,
  HeadingPlugin,
  HorizontalRulePlugin
});
//# sourceMappingURL=index.js.map